/// class PD.Manage.Services.MailQueueService

PD.Manage.Services.MailQueueService =
Class.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    deleteItem: function (id, success, error) {
        
        PD.ajax({
            type: "DELETE",
            url: PD.Path.resolve("~/Manage/MailQueue/Delete/" + id),
            success: success,
            error: error
        });

    },

    deleteAll: function (success, error) {
        
        PD.ajax({
            type: "DELETE",
            url: PD.Path.resolve("~/Manage/MailQueue/DeleteAll"),
            success: success,
            error: error
        });

    },

    retryItem: function (id, success, error) {
        
        PD.ajax({
            type: "POST",
            url: PD.Path.resolve("~/Manage/MailQueue/Retry/" + id),
            success: success,
            error: error
        });

    },

    retryAll: function (success, error) {

        PD.ajax({
            type: "POST",
            url: PD.Path.resolve("~/Manage/MailQueue/RetryAll"),
            success: success,
            error: error
        });

    }

});